Skip to main content
GET
/
v3
/
applications
/
{application_id}
/
catalog
List catalog entries
curl --request GET \
  --url https://api.example.com/v3/applications/{application_id}/catalog \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "name": "gen_ai.usage.input_tokens",
        "semantic_name": "input_tokens",
        "data_type": "numeric",
        "first_seen": "2026-01-15T10:30:00Z",
        "last_seen": "2026-05-30T14:22:00Z",
        "row_count": 125000
      },
      {
        "name": "gen_ai.response.model",
        "semantic_name": "model_name",
        "data_type": "string",
        "first_seen": "2026-01-15T10:30:00Z",
        "last_seen": "2026-05-30T14:22:00Z",
        "row_count": 125000
      },
      {
        "name": "custom.priority",
        "semantic_name": "UNKNOWN",
        "data_type": "string",
        "first_seen": "2026-03-01T08:00:00Z",
        "last_seen": "2026-05-30T14:22:00Z",
        "row_count": 42000
      }
    ],
    "item_count": 3,
    "total": 3,
    "offset": 0,
    "page_size": 100,
    "page_count": 1,
    "page_index": 1
  },
  "api_version": "3.0",
  "kind": "PAGINATED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

application id path parameter

Query Parameters

entity_type
enum<string>

Filter by entity type. Type of entity in the catalog. attribute covers user-defined and system span attributes. The other types correspond to top-level trace columns.

Available options:
attribute,
agent_name,
span_type,
span_name
data_type
enum<string>[]

Data types to filter by (e.g. ?data_type=numeric,string).

Data type of the entity value. numeric for float/integer values, string for categorical values, content for long-form text (LLM inputs/outputs).

Available options:
numeric,
string,
content
semantic_name
string[]

Semantic concept names to filter by (e.g. ?semantic_name=input_tokens,output_tokens). Use UNKNOWN for unmapped attributes.

Allows you to search by any field.

limit
integer

Limit for the pagination

offset
integer

Offset for the pagination

Response

Paginated list of catalog entries

Response object for paginated API responses.

api_version
enum<string>
default:3.0

API version of the response.

Available options:
2.0,
3.0
kind
enum<string>
default:PAGINATED

Type of response, indicating a paginated response.

Available options:
PAGINATED
data
object